// CHAppController.h -- controller object for PegSolitaire.  Handles
//                      various UI controls and coordinates between the
//                      model and view
//
// Copyright (c) 2004 CocoaHeads.  All rights reserved.
// Released under the BSD license

#import <Cocoa/Cocoa.h>

@class CHPegBoard;
@class CHPegBoardView;

@interface CHAppController : NSObject
{
    CHPegBoard *pegBoard;
    IBOutlet CHPegBoardView *pegBoardView;
}

- (IBAction) switchBoards: (id) sender;

@end // CHAppController



// $Id: CHAppController.h,v 1.2 2004/05/07 22:48:18 borkware Exp $
