// CHTriangleBoard.m -- the classic triangle-shaped pegboard
//
// Copyright (c) 2004 CocoaHeads.  All rights reserved.
// Released under the BSD license

#import "CHTriangleBoard.h"

@implementation CHTriangleBoard

- (int) rowCount
{
    return (5);
} // rowCount


- (int) pegsForRow: (int) row
{
    return (5 - row);
} // pegsForRow



- (NSBezierPath *) pathForBoard
{
    NSBezierPath *path = [NSBezierPath bezierPath];

// tweaked until it looked good
#define BOTTOM 0.09

    [path moveToPoint: NSMakePoint (0.0, BOTTOM)];
    [path lineToPoint: NSMakePoint (0.5, 1.0)];
    [path lineToPoint: NSMakePoint (1.0, BOTTOM)];
    [path closePath];

    return (path);

} // pathForBoard

@end // CHTriangleBoard

/* $Id: CHTriangleBoard.m,v 1.1 2004/05/07 22:25:20 borkware Exp $ */

